# Uses of Class
org.apache.lucene.queryparser.surround.parser.ParseException

Packages that use ParseException
Package
Description
org.apache.lucene.queryparser.surround.parser
This package contains the QueryParser.jj source file for the Surround parser.

- ## Uses of ParseException in org.apache.lucene.queryparser.surround.parser

  Methods in org.apache.lucene.queryparser.surround.parser that return ParseException
  Modifier and Type
  Method
  Description
  `ParseException`
  QueryParser.`generateParseException()`
  Generate ParseException.
  Methods in org.apache.lucene.queryparser.surround.parser that throw ParseException
  Modifier and Type
  Method
  Description
  `final SrndQuery`
  QueryParser.`AndQuery()`
  `protected static void`
  QueryParser.`checkDistanceSubQueries(DistanceQuery distq, String opName)`
  `final SrndQuery`
  QueryParser.`FieldsQuery()`
  `final List<SrndQuery>`
  QueryParser.`FieldsQueryList()`
  `protected SrndQuery`
  QueryParser.`getDistanceQuery(List<SrndQuery> queries, boolean infix, Token dToken, boolean ordered)`
  `final SrndQuery`
  QueryParser.`NotQuery()`
  `final SrndQuery`
  QueryParser.`NQuery()`
  `final ArrayList<String>`
  QueryParser.`OptionalFields()`
  `final void`
  QueryParser.`OptionalWeights(SrndQuery q)`
  `final SrndQuery`
  QueryParser.`OrQuery()`
  `static SrndQuery`
  QueryParser.`parse(String query)`
  `SrndQuery`
  QueryParser.`parse2(String query)`
  `final SrndQuery`
  QueryParser.`PrefixOperatorQuery()`
  `final SrndQuery`
  QueryParser.`PrimaryQuery()`
  `final SrndQuery`
  QueryParser.`SimpleTerm()`
  `final SrndQuery`
  QueryParser.`TopSrndQuery()`
  `final SrndQuery`
  QueryParser.`WQuery()`